#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC1,0x93,0xAA,0xEE,0xF9,0xC0,0x36,0xC8,0x09,0xB7,0x6E,0x4F,
		0x35,0x2F,0xF0,0x11,0xCE,0x72,0x8E,0x6E,0x3E,0xB8,0x06,0xC1,
		0x9A,0x67,0x7C,0x30,0x07,0x05,0xAB,0x15,0x03,0x39,0x0B,0xC6,
		0x31,0xCF,0xE5,0x9E,0x11,0xC3,0x50,0x73,0x4C,0x77,0xA4,0x2A,
		0xAC,0xF6,0xA1,0x10,0xA8,0x9B,0x65,0x14,0x5A,0x68,0x2B,0xF3,
		0x55,0x52,0x95,0xE3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
